// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/message/message.proto

package message

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	message_common "gitlab.com/adhocguru/fcp/apis/gen/message/v1/message_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type MessageType int32

const (
	MessageType_MessageType_None                MessageType = 0
	MessageType_MessageType_ChatSend            MessageType = 1
	MessageType_MessageType_ChatEdit            MessageType = 2
	MessageType_MessageType_ChatDelete          MessageType = 3
	MessageType_MessageType_ChatGroupCreate     MessageType = 4
	MessageType_MessageType_ChatGroupDelete     MessageType = 5
	MessageType_MessageType_ChatGroupUpdate     MessageType = 6
	MessageType_MessageType_ChatAddUserGroup    MessageType = 7
	MessageType_MessageType_ChatDeleteUserGroup MessageType = 8
	MessageType_MessageType_UserChangeStatus    MessageType = 9
)

// Enum value maps for MessageType.
var (
	MessageType_name = map[int32]string{
		0: "MessageType_None",
		1: "MessageType_ChatSend",
		2: "MessageType_ChatEdit",
		3: "MessageType_ChatDelete",
		4: "MessageType_ChatGroupCreate",
		5: "MessageType_ChatGroupDelete",
		6: "MessageType_ChatGroupUpdate",
		7: "MessageType_ChatAddUserGroup",
		8: "MessageType_ChatDeleteUserGroup",
		9: "MessageType_UserChangeStatus",
	}
	MessageType_value = map[string]int32{
		"MessageType_None":                0,
		"MessageType_ChatSend":            1,
		"MessageType_ChatEdit":            2,
		"MessageType_ChatDelete":          3,
		"MessageType_ChatGroupCreate":     4,
		"MessageType_ChatGroupDelete":     5,
		"MessageType_ChatGroupUpdate":     6,
		"MessageType_ChatAddUserGroup":    7,
		"MessageType_ChatDeleteUserGroup": 8,
		"MessageType_UserChangeStatus":    9,
	}
)

func (x MessageType) Enum() *MessageType {
	p := new(MessageType)
	*p = x
	return p
}

func (x MessageType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (MessageType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_message_message_proto_enumTypes[0].Descriptor()
}

func (MessageType) Type() protoreflect.EnumType {
	return &file_v1_message_message_proto_enumTypes[0]
}

func (x MessageType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use MessageType.Descriptor instead.
func (MessageType) EnumDescriptor() ([]byte, []int) {
	return file_v1_message_message_proto_rawDescGZIP(), []int{0}
}

type Message struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	From        string               `protobuf:"bytes,1,opt,name=from,proto3" json:"from,omitempty"` // userID sender, "0" - system
	To          string               `protobuf:"bytes,2,opt,name=to,proto3" json:"to,omitempty"`     // userID
	MessageType MessageType          `protobuf:"varint,3,opt,name=message_type,json=messageType,proto3,enum=fcp.message.v1.MessageType" json:"message_type,omitempty"`
	SendAt      *timestamp.Timestamp `protobuf:"bytes,4,opt,name=send_at,json=sendAt,proto3" json:"send_at,omitempty"`
	// Types that are assignable to MessageBody:
	//	*Message_MessageChat
	//	*Message_GroupChat
	//	*Message_UserStatus
	MessageBody isMessage_MessageBody `protobuf_oneof:"message_body"`
}

func (x *Message) Reset() {
	*x = Message{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_message_message_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Message) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Message) ProtoMessage() {}

func (x *Message) ProtoReflect() protoreflect.Message {
	mi := &file_v1_message_message_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Message.ProtoReflect.Descriptor instead.
func (*Message) Descriptor() ([]byte, []int) {
	return file_v1_message_message_proto_rawDescGZIP(), []int{0}
}

func (x *Message) GetFrom() string {
	if x != nil {
		return x.From
	}
	return ""
}

func (x *Message) GetTo() string {
	if x != nil {
		return x.To
	}
	return ""
}

func (x *Message) GetMessageType() MessageType {
	if x != nil {
		return x.MessageType
	}
	return MessageType_MessageType_None
}

func (x *Message) GetSendAt() *timestamp.Timestamp {
	if x != nil {
		return x.SendAt
	}
	return nil
}

func (m *Message) GetMessageBody() isMessage_MessageBody {
	if m != nil {
		return m.MessageBody
	}
	return nil
}

func (x *Message) GetMessageChat() *message_common.ChatMessage {
	if x, ok := x.GetMessageBody().(*Message_MessageChat); ok {
		return x.MessageChat
	}
	return nil
}

func (x *Message) GetGroupChat() *message_common.GroupsChange {
	if x, ok := x.GetMessageBody().(*Message_GroupChat); ok {
		return x.GroupChat
	}
	return nil
}

func (x *Message) GetUserStatus() *message_common.UserStatus {
	if x, ok := x.GetMessageBody().(*Message_UserStatus); ok {
		return x.UserStatus
	}
	return nil
}

type isMessage_MessageBody interface {
	isMessage_MessageBody()
}

type Message_MessageChat struct {
	MessageChat *message_common.ChatMessage `protobuf:"bytes,11,opt,name=message_chat,json=messageChat,proto3,oneof"`
}

type Message_GroupChat struct {
	GroupChat *message_common.GroupsChange `protobuf:"bytes,12,opt,name=group_chat,json=groupChat,proto3,oneof"`
}

type Message_UserStatus struct {
	UserStatus *message_common.UserStatus `protobuf:"bytes,13,opt,name=user_status,json=userStatus,proto3,oneof"`
}

func (*Message_MessageChat) isMessage_MessageBody() {}

func (*Message_GroupChat) isMessage_MessageBody() {}

func (*Message_UserStatus) isMessage_MessageBody() {}

type MessageItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MessageType MessageType `protobuf:"varint,1,opt,name=message_type,json=messageType,proto3,enum=fcp.message.v1.MessageType" json:"message_type,omitempty"`
	MessageBody string      `protobuf:"bytes,2,opt,name=message_body,json=messageBody,proto3" json:"message_body,omitempty"`
}

func (x *MessageItem) Reset() {
	*x = MessageItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_message_message_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MessageItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MessageItem) ProtoMessage() {}

func (x *MessageItem) ProtoReflect() protoreflect.Message {
	mi := &file_v1_message_message_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MessageItem.ProtoReflect.Descriptor instead.
func (*MessageItem) Descriptor() ([]byte, []int) {
	return file_v1_message_message_proto_rawDescGZIP(), []int{1}
}

func (x *MessageItem) GetMessageType() MessageType {
	if x != nil {
		return x.MessageType
	}
	return MessageType_MessageType_None
}

func (x *MessageItem) GetMessageBody() string {
	if x != nil {
		return x.MessageBody
	}
	return ""
}

type StreamMessages struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message []*MessageItem `protobuf:"bytes,1,rep,name=message,proto3" json:"message,omitempty"`
}

func (x *StreamMessages) Reset() {
	*x = StreamMessages{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_message_message_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StreamMessages) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StreamMessages) ProtoMessage() {}

func (x *StreamMessages) ProtoReflect() protoreflect.Message {
	mi := &file_v1_message_message_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StreamMessages.ProtoReflect.Descriptor instead.
func (*StreamMessages) Descriptor() ([]byte, []int) {
	return file_v1_message_message_proto_rawDescGZIP(), []int{2}
}

func (x *StreamMessages) GetMessage() []*MessageItem {
	if x != nil {
		return x.Message
	}
	return nil
}

var File_v1_message_message_proto protoreflect.FileDescriptor

var file_v1_message_message_proto_rawDesc = []byte{
	0x0a, 0x18, 0x76, 0x31, 0x2f, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2f, 0x6d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x66, 0x63, 0x70, 0x2e,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x76, 0x31, 0x1a, 0x1c, 0x76, 0x31, 0x2f, 0x6d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x74,
	0x6f, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xfe, 0x02, 0x0a, 0x07, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x66, 0x72, 0x6f, 0x6d, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x66, 0x72, 0x6f, 0x6d, 0x12, 0x0e, 0x0a, 0x02, 0x74, 0x6f, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x74, 0x6f, 0x12, 0x3e, 0x0a, 0x0c, 0x6d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32,
	0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x76, 0x31,
	0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0b, 0x6d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x33, 0x0a, 0x07, 0x73, 0x65, 0x6e,
	0x64, 0x5f, 0x61, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x06, 0x73, 0x65, 0x6e, 0x64, 0x41, 0x74, 0x12, 0x40,
	0x0a, 0x0c, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x5f, 0x63, 0x68, 0x61, 0x74, 0x18, 0x0b,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x68, 0x61, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x48, 0x00, 0x52, 0x0b, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x43, 0x68, 0x61, 0x74,
	0x12, 0x3d, 0x0a, 0x0a, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x63, 0x68, 0x61, 0x74, 0x18, 0x0c,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x43, 0x68, 0x61, 0x6e,
	0x67, 0x65, 0x48, 0x00, 0x52, 0x09, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x43, 0x68, 0x61, 0x74, 0x12,
	0x3d, 0x0a, 0x0b, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x0d,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x48, 0x00, 0x52, 0x0a, 0x75, 0x73, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x0e,
	0x0a, 0x0c, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x5f, 0x62, 0x6f, 0x64, 0x79, 0x4a, 0x04,
	0x08, 0x05, 0x10, 0x06, 0x4a, 0x04, 0x08, 0x0a, 0x10, 0x0b, 0x22, 0x70, 0x0a, 0x0b, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x3e, 0x0a, 0x0c, 0x6d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32,
	0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x76, 0x31,
	0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0b, 0x6d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x6d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x5f, 0x62, 0x6f, 0x64, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x42, 0x6f, 0x64, 0x79, 0x22, 0x47, 0x0a, 0x0e,
	0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x12, 0x35,
	0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x76, 0x31,
	0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x07, 0x6d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x2a, 0xbf, 0x02, 0x0a, 0x0b, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x10, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x5f, 0x4e, 0x6f, 0x6e, 0x65, 0x10, 0x00, 0x12, 0x18, 0x0a, 0x14, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f, 0x43, 0x68, 0x61, 0x74, 0x53,
	0x65, 0x6e, 0x64, 0x10, 0x01, 0x12, 0x18, 0x0a, 0x14, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x5f, 0x43, 0x68, 0x61, 0x74, 0x45, 0x64, 0x69, 0x74, 0x10, 0x02, 0x12,
	0x1a, 0x0a, 0x16, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f, 0x43,
	0x68, 0x61, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x10, 0x03, 0x12, 0x1f, 0x0a, 0x1b, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f, 0x43, 0x68, 0x61, 0x74, 0x47,
	0x72, 0x6f, 0x75, 0x70, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x10, 0x04, 0x12, 0x1f, 0x0a, 0x1b,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f, 0x43, 0x68, 0x61, 0x74,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x10, 0x05, 0x12, 0x1f, 0x0a,
	0x1b, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f, 0x43, 0x68, 0x61,
	0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x10, 0x06, 0x12, 0x20,
	0x0a, 0x1c, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f, 0x43, 0x68,
	0x61, 0x74, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x10, 0x07,
	0x12, 0x23, 0x0a, 0x1f, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x5f,
	0x43, 0x68, 0x61, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x47, 0x72,
	0x6f, 0x75, 0x70, 0x10, 0x08, 0x12, 0x20, 0x0a, 0x1c, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x5f, 0x55, 0x73, 0x65, 0x72, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x10, 0x09, 0x42, 0x54, 0x0a, 0x17, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61,
	0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2f,
	0x76, 0x31, 0x2f, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_message_message_proto_rawDescOnce sync.Once
	file_v1_message_message_proto_rawDescData = file_v1_message_message_proto_rawDesc
)

func file_v1_message_message_proto_rawDescGZIP() []byte {
	file_v1_message_message_proto_rawDescOnce.Do(func() {
		file_v1_message_message_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_message_message_proto_rawDescData)
	})
	return file_v1_message_message_proto_rawDescData
}

var file_v1_message_message_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_message_message_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_v1_message_message_proto_goTypes = []interface{}{
	(MessageType)(0),                    // 0: fcp.message.v1.MessageType
	(*Message)(nil),                     // 1: fcp.message.v1.Message
	(*MessageItem)(nil),                 // 2: fcp.message.v1.MessageItem
	(*StreamMessages)(nil),              // 3: fcp.message.v1.StreamMessages
	(*timestamp.Timestamp)(nil),         // 4: google.protobuf.Timestamp
	(*message_common.ChatMessage)(nil),  // 5: fcp.message.v1.ChatMessage
	(*message_common.GroupsChange)(nil), // 6: fcp.message.v1.GroupsChange
	(*message_common.UserStatus)(nil),   // 7: fcp.message.v1.UserStatus
}
var file_v1_message_message_proto_depIdxs = []int32{
	0, // 0: fcp.message.v1.Message.message_type:type_name -> fcp.message.v1.MessageType
	4, // 1: fcp.message.v1.Message.send_at:type_name -> google.protobuf.Timestamp
	5, // 2: fcp.message.v1.Message.message_chat:type_name -> fcp.message.v1.ChatMessage
	6, // 3: fcp.message.v1.Message.group_chat:type_name -> fcp.message.v1.GroupsChange
	7, // 4: fcp.message.v1.Message.user_status:type_name -> fcp.message.v1.UserStatus
	0, // 5: fcp.message.v1.MessageItem.message_type:type_name -> fcp.message.v1.MessageType
	2, // 6: fcp.message.v1.StreamMessages.message:type_name -> fcp.message.v1.MessageItem
	7, // [7:7] is the sub-list for method output_type
	7, // [7:7] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_v1_message_message_proto_init() }
func file_v1_message_message_proto_init() {
	if File_v1_message_message_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_message_message_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Message); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_message_message_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MessageItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_message_message_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StreamMessages); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_v1_message_message_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*Message_MessageChat)(nil),
		(*Message_GroupChat)(nil),
		(*Message_UserStatus)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_message_message_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_message_message_proto_goTypes,
		DependencyIndexes: file_v1_message_message_proto_depIdxs,
		EnumInfos:         file_v1_message_message_proto_enumTypes,
		MessageInfos:      file_v1_message_message_proto_msgTypes,
	}.Build()
	File_v1_message_message_proto = out.File
	file_v1_message_message_proto_rawDesc = nil
	file_v1_message_message_proto_goTypes = nil
	file_v1_message_message_proto_depIdxs = nil
}
